1. Monitor usage
Airalo Developer Platform
  • OVERVIEW
    • Introduction
    • Attribute descriptions
    • FAQ
    • Developer feedback
    • Quick start
      • Step 1: Request access token
      • Step 2: Get packages
      • Step 3: Submit order
      • Step 4: Get installation instructions
    • Guides
      • How to set up a brand for eSIMs Cloud link sharing
      • How to get the eSIMs Cloud sharing link through API
      • How to generate the QR code for an eSIM
      • eSIM installation methods for API Partners
  • REST API
    • Introduction
    • Rate limits
    • Error handling
    • Go live checklist
    • Sandbox mode
    • Endpoints
      • Authenticate
        • Request access token
      • Browse packages
        • Get packages
      • Place order
        • Future orders
        • Submit order
        • Submit order async
        • eSIM voucher
      • Request refund
        • Request refund
      • Install eSIM
        • Get eSIM
        • Get installation instructions
      • Monitor usage
        • Get usage (data, text & voice)
          GET
      • Top up eSIM
        • Get top-up package list
        • Submit top-up order
      • Manage orders
        • Get order list
        • Get order
        • Cancel future orders
        • Future Orders
      • Manage eSIMs
        • Update eSIM brand
        • Get eSIMs list
        • Get eSIM package history
      • Compatible devices
        • [Deprecated] Get compatible device list
        • Get compatible device lite list
      • Notifications
        • Airalo webhooks opt-in and flow
        • Webhooks guide
        • Webhook definition
        • Notification: Low data
          • Opt in
          • Get notification details
          • Opt out
        • Notification: Credit limit
          • Opt in
          • Get notification details
          • Opt out
        • Notification: Async orders
          • Opt in
          • Get notification details
          • Opt out
        • Webhook simulator
      • Check balance
        • Get balance
  • SDKs
    • Introduction
    • SDK vs. REST API
    • Technical notes
  • WOOCOMMERCE PLUGIN
    • Introduction
    • Guides
      • How to install the Airalo Plugin for WooCommerce
      • How to customize the "My eSIMs" page colors in WooCommerce
      • How to convert prices into your local currency
  1. Monitor usage

Get usage (data, text & voice)

GET
/v2/sims/{sim_iccid}/usage
💡
This endpoint comes with a rate limit:
10 requests per minute (per unique iccid)
5 requests per second (per unique company)
A built-in cache of 20 minutes is also set on this endpoint's response.
This endpoint enables you to retrieve the total data, voice & text usage for a specific eSIM identified by its ICCID.
The access token, obtained from the "Request Access Token" endpoint, should be included in the request.
Note for unlimited packages
For unlimited packages the remaining, total and amount fields will default to 0 should be ignored, and not displayed to the end users.
When in Sandbox mode, the is_unlimited field can be false for an unlimited package ordered, due to not having real eSIMs available, thus don't reflect real usage.
Response atttributes units explained:
total : Response value is total megabytes on package
remaining : Response value is in total megabytes remaining
total_text : Response value is the initial total text messages on package
remaining_text : Response value is in total number of text messages remaining
total_voice : Response value is the initial total voice minutes on package
remaining_voice : Response value is in total minutes remaining

Request

Path Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://partners-api.airalo.com/v2/sims//usage' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {{token}}' \
--header 'url: https://partners-api.airalo.com'

Responses

🟢200Get Usage: 200
application/json
Bodyapplication/json

Examples
{
    "data": {
        "remaining": 767,
        "total": 2048,
        "expired_at": "2022-01-01 00:00:00",
        "is_unlimited": true,
        "status": "ACTIVE", // All Cases: [ NOT_ACTIVE, ACTIVE, FINISHED, UNKNOWN, EXPIRED ]
        "remaining_voice": 0,
        "remaining_text": 0,
        "total_voice": 0,
        "total_text": 0
    },
    "meta": {
        "message": "api.succes"
    }
}
🟠404Get Usage: 404 (Invalid ICCID)
🟠429Get Usage: 429 (Rate Limit)
🟢200Get Usage (Recycled sim): 200
Modified at 2026-05-13 13:39:02
Previous
Monitor usage
Next
Top up eSIM
Built with